void prints(short val);

int main()
{
  unsigned short i, j, val, val2, val3;

  for (i = -2; (short)i < 3; i++)
    for (j = -2; (short)j < 3; j++) {
      val2 = i;
      val3 = j;
      val = val2 = val3;
      prints(val);
      prints(val2);
      prints(val3);
    }

  return 0;
}
